Get stack versions

  • GET /stack/versions
Auth

By default, retrieves only the available Elastic Stack versions. To retrieve all of the Elastic Stack versions, use the show_deleted parameter.

Query parameters

show_deleted boolean · default: false

Whether to show deleted stack versions or not

show_unusable boolean · default: false

Whether to show versions that are unusable by the authenticated user

Response

The list of all available Elastic Stack versions are retrieved, including the template version and structure.

application/json
stacks object[] required
version string

Stack version

template object required

The template information for an Elastic Stack version.

template_version string

Template version

hashes object[]

Relative paths of files with SHA-256 hashes that contains the template

path string required

File path relative to template's root

hash string required

SHA-256 hash of a file

elasticsearch object required

The Elasticsearch configuration for an Elastic Stack version.

docker_image string required

Docker image for the Elasticsearch

plugins string[] required

List of available plugins

default_plugins string[] required

List of default plugins

blacklist string[] required

List of configuration options that cannot be overridden by user settings

node_types object[]

Node types that are supported by this stack version

node_type string required

Type of the node (master, data, ...)

name string required

Name of the node type

description string required

Description of the node type

settings object

Settings that are applied to all nodes of this type

capacity_constraints object

The Elasticsearch instance, Kibana instance, APM Server capacity constraints for an Elastic Stack node type.

min integer · format: int32 required

Min capacity of the instances

max integer · format: int32 required

Max capacity of the instances

compatible_node_types string[]

Node types that are compatible with this one

mandatory boolean

Flag to specify a node type is mandatory in a cluster's plan

settings object

Settings that are applied to all nodes of this type

capacity_constraints object

The Elasticsearch instance, Kibana instance, APM Server capacity constraints for an Elastic Stack node type.

min integer · format: int32 required

Min capacity of the instances

max integer · format: int32 required

Max capacity of the instances

compatible_node_types string[]

Node types that are compatible with this one

kibana object required

The Kibana configuration for an Elastic Stack version.

version string

Version of Kibana

docker_image string required

Docker image for the kibana

blacklist string[] required

List of configuration options that cannot be overridden by user settings

settings object

Settings that are applied to all nodes of this type

capacity_constraints object

The Elasticsearch instance, Kibana instance, APM Server capacity constraints for an Elastic Stack node type.

min integer · format: int32 required

Min capacity of the instances

max integer · format: int32 required

Max capacity of the instances

compatible_node_types string[]

Node types that are compatible with this one

apm object

The APM Server configuration for an Elastic Stack version.

version string

Version of APM

docker_image string required

Docker image for the APM

blacklist string[] required

List of configuration options that cannot be overridden by user settings

settings object

Settings that are applied to all nodes of this type

capacity_constraints object

The Elasticsearch instance, Kibana instance, APM Server capacity constraints for an Elastic Stack node type.

min integer · format: int32 required

Min capacity of the instances

max integer · format: int32 required

Max capacity of the instances

compatible_node_types string[]

Node types that are compatible with this one

appsearch object

AppSearch related configuration of an Elastic Stack version

version string

Version of AppSearch

docker_image string required

Docker image for the AppSearch

blacklist string[] required

List of configuration options that cannot be overridden by user settings

settings object

Settings that are applied to all nodes of this type

capacity_constraints object

The Elasticsearch instance, Kibana instance, APM Server capacity constraints for an Elastic Stack node type.

min integer · format: int32 required

Min capacity of the instances

max integer · format: int32 required

Max capacity of the instances

compatible_node_types string[]

Node types that are compatible with this one

node_types object[]

Node types that are supported by this stack version

node_type string required

Type of the node (master, data, ...)

name string required

Name of the node type

description string required

Description of the node type

settings object

Settings that are applied to all nodes of this type

capacity_constraints object

The Elasticsearch instance, Kibana instance, APM Server capacity constraints for an Elastic Stack node type.

min integer · format: int32 required

Min capacity of the instances

max integer · format: int32 required

Max capacity of the instances

compatible_node_types string[]

Node types that are compatible with this one

mandatory boolean

Flag to specify a node type is mandatory in a cluster's plan

EnterpriseSearch related configuration of an Elastic Stack version

version string

Version of EnterpriseSearch

docker_image string required

Docker image for the EnterpriseSearch

blacklist string[] required

List of configuration options that cannot be overridden by user settings

settings object

Settings that are applied to all nodes of this type

capacity_constraints object

The Elasticsearch instance, Kibana instance, APM Server capacity constraints for an Elastic Stack node type.

min integer · format: int32 required

Min capacity of the instances

max integer · format: int32 required

Max capacity of the instances

compatible_node_types string[]

Node types that are compatible with this one

node_types object[]

Node types that are supported by this stack version

node_type string required

Type of the node (master, data, ...)

name string required

Name of the node type

description string required

Description of the node type

settings object

Settings that are applied to all nodes of this type

capacity_constraints object

The Elasticsearch instance, Kibana instance, APM Server capacity constraints for an Elastic Stack node type.

min integer · format: int32 required

Min capacity of the instances

max integer · format: int32 required

Max capacity of the instances

compatible_node_types string[]

Node types that are compatible with this one

mandatory boolean

Flag to specify a node type is mandatory in a cluster's plan

metadata object

The metadata for the Elastic Stack.

notes string

Notes for administrator

pre_release boolean

Indicates that the stack pack version is not GA and is not supposed to be used in production

min_platform_version string

The minimum version of the platform that the stack pack version is compatible with

min_wire_compatibility_version string

The minimum version required for performing a rolling upgrade to this stack version.

min_index_compatibility_version string

The minimum version required for performing a full cluster restart upgrade to this stack version.

schema_version integer · format: int32

The schema version of the stack pack version

is_fips boolean

Is this a fips stackpack

deleted boolean

Identifies that the Elastic Stack version is marked for deletion

upgradable_to string[] required

Stack Versions that this version can upgrade to

min_upgradable_from string

The minimum version recommended to upgrade this version.

whitelisted boolean

Whether or not this version is whitelisted. This is only relevant in EC (SaaS) and is not sent in ECE.

accessible boolean

Whether or not this version is accessible by the calling user. This is only relevant in EC (SaaS) and is not sent in ECE.

rolling_upgrade_compatible_versions string[]

List of versions that can be upgraded to the current version of the stackpack